+1-888-365-2779
Try Now
More in this section

Forums / General Discussions / Sitefinity 5.4 upgrade error telerik.Web.UI

Sitefinity 5.4 upgrade error telerik.Web.UI

3 posts, 0 answered
  1. Henriette
    Henriette avatar
    41 posts
    Registered:
    20 Aug 2009
    20 Feb 2013
    Link to this post

    Hi all

    We just upgraded Sitefinity from version 5.3 to 5.4. We upgraded with the Sitefinity manager. After the upgrade we get this error  "Could not load file or assembly 'Telerik.Web.UI, Version=2012.3.1016.40" We tried the upgrade process on another pc with same result.

    It looks like we have a reference to an older version of the Telerik.Web.UI.dll but we cannot find it anywhere. The right files from the 5.4 upgrade has been added to our bin folder and also all the references. Anyone have a good idea here?

    Kind regards
    Henrik Stensgaard


  2. Steve
    Steve avatar
    3037 posts
    Registered:
    03 Dec 2008
    20 Feb 2013 in reply to Henriette
    Link to this post

    5.4 uses 2012.3.1308.40, you must have some external assembly in your bin folder that references it\was built against it

     Try assembly binding

    http://www.sitefinitysteve.com/articles/how-to/lists/how-to/avoid-version-errors-with-assembly-binding

  3. Henriette
    Henriette avatar
    41 posts
    Registered:
    20 Aug 2009
    21 Feb 2013 in reply to Steve
    Link to this post

    Hi Steve

    Thanks for your suggestion. it worked with assembly binding. I think we found our External assembly.

    Best regards
    Henrik Stensgaard

3 posts, 0 answered